/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2004 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Contreras
Contributor(s): ______________________________________.

====================================================================*/


package org.objectweb.openccm.descriptor.componentassembly.ccm.deployer.installer;
/**
 * The HomeplcamentDeployInfo is used to store corba reference of an installed home.
 *
 * @author <a href="mailto:briclet@lifl.fr">Briclet Frdric</a>
 *
 * @version 0.1
 */
public class HomeplacementDeployInfo {
    // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================
    private org.omg.Components.CCMHome corbaReference;
    private HomeplacementDeployInfoHandler _handler;
    // ==================================================================
    //
    // Internal state.
    //
    // ==================================================================
    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================
    // ==================================================================
    //
    // Internal methods.
    //
    // ==================================================================
    // ==================================================================
    //
    //  Public methods.
    //
    // ==================================================================
    public HomeplacementDeployInfo(HomeplacementDeployInfoHandler handler) 
    {
        this._handler = handler ;
    }

    public org.omg.Components.CCMHome 
    getCorbaReference() 
    {
        return corbaReference;
    }

    public void 
    setCorbaReference (org.omg.Components.CCMHome ref) 
    {
        corbaReference = ref;
    }

}
