package ist.coach.coachEmfClientComponents.gui;

import javax.swing.ImageIcon;

import intt.itu.itut_x780.ManagedObjectValueType;
import intt.itu.itut_x780.AdministrativeStateType;
import intt.itu.itut_x780.OperationalStateType;
import intt.itu.itut_x780.UsageStateType;
import ist.coach.coachEmsMib.IpToMACAddressValueType;
import ist.coach.coachEmfClientComponents.InvokeSetData;

import ist.coach.coachEmfCommon.Utils;
public class VisualIpToMACAddress
extends MOTreeObject {

	static String[] subordinate_names = new String[0];
//	static String[] subordinate_vtype = new String[0];

		// HACK
		// This must be the type declared in idl as objectClass!!!!!
	static String object_type = "IpToMACAddress";
	static String emsClassName = "ist.coach.coachEmsMib.IpToMACAddress_F";

	static String DISPLAY_TYPE = "Logical Interface";
	static boolean canRefresh = false;
	//
	// create arguments
	//
	static String[] create_arg_name =  new String[0];
	static String[] create_arg_editor =  new String[0];
	static String[] create_arg_renderer =  new String[0];
	//
	// get/set arguments
	//

	static String[] attributes_name = { 		//ManagedObject
										"Name",
										"Element Type",
                                        "Creation Source",
                                        "Delete Policy",
												//IpToMACAddress
										"Logical Interface Index",
										"Media-dependent Physical Address",
										"Corresponding IP Address",
										"Type of Mapping",

					};

	static boolean[] attributes_readonly =  {
					false,
					false,
					false,
					false,
					false,
					false,
					false, //true,
					false,

	};


public VisualIpToMACAddress(String key) {

	super(key);
	leafIcon = new ImageIcon(VisualIpToMACAddress.class.getResource(
				"images/iptomacaddress_icon.gif"));
	nodeIcon = new ImageIcon(VisualIpToMACAddress.class.getResource(
					"images/iptomacaddress_icon.gif"));
	toolTipText = new String(DISPLAY_TYPE);


}

	public Object[] translate_values(ManagedObjectValueType original_value_type) {

		Object[] values = new Object[attributes_name.length];
		for (int i = 0; i < values.length; i++)
			values[i] = "unspecified";

		if (original_value_type == null)
			return values;

		Object[] mo_values = super.translate_values(original_value_type);
        int i = 0;
        for (i = 0; i < mo_values.length; i++)
            values[i] = mo_values[i];

		IpToMACAddressValueType value_type;
		value_type = (IpToMACAddressValueType) original_value_type;

			//
			// IpToMACAddress
			//

		if (value_type.ipNetToMediaIfIndex >= 0)
		  values[i] = String.valueOf(value_type.ipNetToMediaIfIndex);
		i++;

		if (value_type.ipNetToMediaPhysAddress != null &&
				value_type.ipNetToMediaPhysAddress.length > 0) {

			//values[i] = new String(value_type.ifPhysAddress);

			String hexAddressStr = new String();
			String shortStr = new String();
			for (int j = 0; j < value_type.ipNetToMediaPhysAddress.length; j++) {
				hexAddressStr += Integer.toHexString(
					new Byte((value_type.ipNetToMediaPhysAddress[j])).intValue() & 0x000000ff);

				if (j < value_type.ipNetToMediaPhysAddress.length - 1)
				 	hexAddressStr  += ":";
			}
			values[i] = hexAddressStr;

		}
		i++;

		if (value_type.ipNetToMediaNetAddress != null &&
				value_type.ipNetToMediaNetAddress.length > 0) {

			values[i] = new String(value_type.ipNetToMediaNetAddress);
		}
		i++;

		switch(value_type.ipNetToMediaType) {
			case 1 :
				  values[i] = "Other (neither invalid/dynamic/static)";
				  break;
			case 2 :
				values[i] = "invalid";
				break;
			case 3 :
				values[i] = "dynamic";
				break;
			case 4 :
					values[i] = "static";
					break;
			default:
				values[i++] = new String("Unknown");
		}
		return values;
	}

	java.util.Vector translate_updates(java.util.Hashtable values) {
		  return new java.util.Vector();
	}

}
