@echo off
REM # ====================================================================
REM #
REM # OpenCCM: The Open CORBA Component Model Platform
REM # Copyright (C) 2000-2002 USTL - LIFL - GOAL
REM # Contact: openccm-team@objectweb.org
REM #
REM # This library is free software; you can redistribute it and/or
REM # modify it under the terms of the GNU Lesser General Public
REM # License as published by the Free Software Foundation; either
REM # version 2.1 of the License, or any later version.
REM #
REM # This library is distributed in the hope that it will be useful,
REM # but WITHOUT ANY WARRANTY; without even the implied warranty of
REM # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
REM # Lesser General Public License for more details.
REM #
REM # You should have received a copy of the GNU Lesser General Public
REM # License along with this library; if not, write to the Free Software
REM # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
REM # USA
REM #
REM # Initial developer(s): Romain Rouvoy.
REM # Contributor(s): ____________________________________________________.
REM #
REM # ====================================================================
REM #
REM #  Starting Ant Compilation Process
REM #
REM # ====================================================================

setlocal
if "%JAVA_HOME%"=="" goto :javahome_error

set JAVA=%JAVA_HOME%\bin\java

set OPENCCM_ROOT=%OpenCCM_HOMEDIR%\..

set CP=%JAVA_HOME%\lib\tools.jar;%OPENCCM_ROOT%\externals\xerces.jar;%CLASSPATH%
for %%i in (%OPENCCM_ROOT%\externals\ant\*.jar) do call cp.bat %%i

%JAVA% -classpath "%CP%" -Dant.home=%OPENCCM_ROOT%\externals\ant -DOpenCCM.root.dir=%OPENCCM_ROOT% org.apache.tools.ant.Main %1 %2 %3 %4 %5 %6 -buildfile build_emf.xml

goto :eof

:javahome_error
echo Cannot find JAVA. Please set your JAVA_HOME environment variable.



