/*====================================================================

This file was produced by the OpenCCM CIF_JIMPL generator.

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2003 INRIA - USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package ist.coach.coachEmfCommon;
import ist.coach.coachEmfServicesComponents.LogNewRecord;
import org.omg.CosNaming.NameComponent;
import ist.coach.coachEmfServices.EmfBasicLog.LogSeverity;

import org.omg.TimeBase.UtcT;
/**
 *  Implementation skeleton class for the IDL:coach.ist/coachEmfServicesComponents/LogNewRecord:1.0 declaration.
 *
 *  @author OpenCCM CIF_Jimpl Compiler.
 */
public class LogNewRecordImpl
     extends LogNewRecord
{
    // ==================================================================
    //
    // Internal states.
    //
    // ==================================================================

    // ==================================================================
    //
    // Constructors.
    //
    // ==================================================================

    public LogNewRecordImpl()
    {
        eventTime = new org.omg.TimeBase.UtcT();
		source =  new NameComponent[0];
		severity = LogSeverity.Info;
		sourceClass = new String();
		logRecordId = 0;
		info = new String();
    }

	public LogNewRecordImpl(UtcT eventTime,
						    LogSeverity severity,
						    NameComponent[] source,
							String sourceClass,
							int logRecordId,
							String info) {

		this.eventTime = eventTime;
		this.severity  = severity;
		this.source = source;
		this.sourceClass = sourceClass;
		this.logRecordId = logRecordId;
		this.info = info;
	}

    // ==================================================================
    //
    // Methods.
    //
    // ==================================================================

}
