package org.objectweb.util.launcher.parser ;


import java.util.HashMap ;

public class XMLDescription
{
    protected HashMap runs_ ;
    protected HashMap contexts_ ;

    public XMLDescription() {
        runs_ = new HashMap() ;
        contexts_ = new HashMap() ;
    }

    public void addRun(RunDescription run) { 
        runs_.put(run.getName(),run); 
    }
    
    public RunDescription getRun(String id) { 
        return (RunDescription) runs_.get(id) ; 
    }

    public void addContext(ContextDescription context) {
        contexts_.put(context.getName(),context); 
    }

    public ContextDescription getContext(String id) { 
        return (ContextDescription) contexts_.get(id) ; 
    }
}
