
package MCCMMakeProjectCreator;

# ************************************************************
# Description   : A MCCM Make Project Creator
# Author        : JL GILBERT
# Create Date   : 04/03/2004
# ************************************************************

# ************************************************************
# Pragmas
# ************************************************************

use strict;

use ProjectCreator;

use vars qw(@ISA);
@ISA = qw(ProjectCreator);

# ************************************************************
# Subroutine Section
# ************************************************************

sub dollar_special {
  #my($self) = shift;
  return 1;
}


sub sort_files {
  #my($self) = shift;
  return 0;
}


sub convert_slashes {
  #my($self) = shift;
  return 0;
}


sub project_file_name {
  my($self) = shift;
  my($name) = shift;

  if (!defined $name) {
    $name = $self->project_name();
  }

  return $self->get_modified_project_file_name('Makefile' .
                                               ($name eq '' ? '' : ".$name"),
                                               '');
}


sub get_dll_exe_template_input_file {
  #my($self) = shift;
  return 'mccm_makeexe';
}


sub get_dll_template_input_file {
  #my($self) = shift;
  return 'mccm_makedll';
}


sub get_template {
  #my($self) = shift;
  return 'mccmmake';
}

;
