#!/bin/sh -x

export LD_LIBRARY_PATH=`pwd`/DesiredSpeed_comp:`pwd`/Acceleration_comp:`pwd`/CruiseControl_comp:`pwd`/CarCharacteristics_comp:`pwd`/Throttle_comp:`pwd`/Cruiser_comp:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$ACE_ROOT/ace:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH=$microCCM_DIR/lib:$LD_LIBRARY_PATH

HomeFinder.exe &

### FIRST HOME (for DesiredSpeed component)

Component_Loader.exe ./DesiredSpeed_comp/libDesiredSpeedComp.so DesiredSpeedHome create_home_for_desiredspeed &

sleep 1

### SECOND HOME 

Component_Loader.exe ./Acceleration_comp/libAccelerationComp.so AccelerationHome create_for_AccelerationHome &

sleep 1

### THIRD HOME

Component_Loader.exe ./CruiseControl_comp/libCruiseControlComp.so CruiseControlHome create_home_for_CruiseControl &

sleep 1

### FOURTH HOME

Component_Loader.exe ./CarCharacteristics_comp/libCarCharacteristicsComp.so CarCharacteristicsHome create_for_CarCharacteristicsHome &

sleep 1

### FIFTH HOME

Component_Loader.exe ./Throttle_comp/libThrottleComp.so ThrottleHome create_for_ThrottleHome &

sleep 1

### SIXTH HOME

Component_Loader.exe ./Cruiser_comp/libCruiserComp.so CruiserHome create_for_CruiserHome &

sleep 1

### ### ### ### ###

./Client/Client.exe

### ### ### ### ###

killall Component_Loader.exe
killall HomeFinder.exe

