#include <CORBA_generation_indicators.h>

#include <fstream>

void
CORBA_generation_indicators::read_generation_indications( string name_of_file )
{
  fstream infile( name_of_file.c_str(), ios::in );

  string read;

  // pb with infile.eof() -> it, probably, reads the blank line (cr/lf),
  // and puts them in the map with "" key, which doesn't works...
  //
  while( !infile.eof() )
    {
      infile >> read;
      string read2;
      infile >> read2;
      the_map[ read ].push_back( read2 );
    }

}

bool CORBA_generation_indicators::needs_interception( string name_of_intf )
{
  return ( the_map[ name_of_intf ].size() > 0 );
}

vector< string > 
CORBA_generation_indicators::methods_to_intercept( string name_of_intf )
{
  return the_map[ name_of_intf ];
}

map< string, vector< string > > CORBA_generation_indicators::the_map;

