#ifndef Correspondance_table_h
#define Correspondance_table_h

#include <cstring>
using namespace std;

template< typename S >
class Correspondance_table
{
 public:

  class No_such_item { };

  Correspondance_table();
  ~Correspondance_table();

  S& operator[]( const char* key );
  const S& operator[]( const char* key ) const throw( No_such_item );
  bool exists( const char* key );
  int size();
  bool erase( const char* key );

  // ----

  struct Storage_item
  {
    Storage_item( );
    ~Storage_item( );
    void set_name( const char* the_name );

    char* name;
    S value;
  };

  // besoin de savoir itrer sur la Table de correspondance ...
  typedef Storage_item* iterator;
  iterator begin();
  iterator end();


 private:
  int nb_items_;
  Storage_item* storage_;
};


#include <Correspondance_table_inline.h>

#endif // Correspondance_table_h
