#ifndef component2_impl_h
#define component2_impl_h

#include <microccm_component2_executor.h>
#include <microccm_component2_CORBA.h>

class CCM_component2_impl : public CCM_component2,
			    public CCM_I2,
			    public CCM_component2_SessionComponent_impl
{
public:
  CCM_I2_ptr get_my_facet_I2();
  void configuration_complete() throw( Components::InvalidConfiguration );

  void do_something2();

  void push_MyEvent1_sink(MyEvent1* evt );
  void push_MyEvent2_sink(MyEvent1* evt );

  void my_attribute(CORBA::Long attribute);
  CORBA::Long my_attribute();

  CORBA::Long my_attribute_;
};

class component2_home_impl : public CCM_component2_home
{
 public:
  Components::EnterpriseComponent_ptr create()
    throw( Components::CCMException );
  
  //  CCM_component2_SessionComponent_impl_ptr create_impl() throw( Components::CCMException );

};

#endif // component2_impl_h
