#ifndef comp2_impl_h
#define comp2_impl_h

#include <microccm_comp2_executor.h>


class CCM_comp2_impl : public CCM_comp2,
		       public CCM_I3,
		       public CCM_comp2_SessionComponent_impl
{
public:
  CCM_I3_ptr get_my_interface_I3();

  void configuration_complete() throw(Components::InvalidConfiguration);
  I2_ptr get_I2();
  
  CORBA::ORB_ptr orb_;
};

class CCM_comp2_home_impl : public CCM_comp2_home
{
 public:
  Components::EnterpriseComponent_ptr create()
    throw( Components::CCMException );
  

};

#endif // comp2_impl_h
