/*====================================================================

created on 4 mars 2003

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2001-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Hameau Fabien.
Contributor(s): ______________________________________.

*/

package org.objectweb.openccm.Containers.MetaInformation;

/**
 * @author hameau
 */
public class PortInstanceImpl
extends InstanceImpl
implements PortInstance {

	protected PortType                _port_type;
	protected ComponentInstance       _component_instance;
  //  protected ConnectionDescription[] _connection_description;

	/* (non-Javadoc)
	 * @see org.objectweb.openccm.Containers.PortInstanceOperations#port_type()
	 */
	public PortType port_type() {
		
		return _port_type;
	}

	/* (non-Javadoc)
	 * @see org.objectweb.openccm.Containers.PortInstanceOperations#port_type(org.objectweb.openccm.Containers.PortType)
	 */
	public void port_type(PortType value) {
		
		_port_type = value;
	}

	/* (non-Javadoc)
	 * @see org.objectweb.openccm.Containers.PortInstanceOperations#component_instance()
	 */
	public ComponentInstance component_instance() {
		
		return _component_instance;
	}

	/* (non-Javadoc)
	 * @see org.objectweb.openccm.Containers.PortInstanceOperations#component_instance(org.objectweb.openccm.Containers.ComponentInstance)
	 */
	public void component_instance(ComponentInstance value) {
		
		_component_instance = value;
	}
}
