@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Areski Flissi
rem # Contributor(s): 
rem #
rem # ====================================================================
rem #
rem #  Start the OpenCCM DCI Manager (PDA/WinCE distribution)
rem #
rem #  Usage: dci_start [NS_IOR] [DCIName]
rem #
rem # ====================================================================

if "%1" == "" goto set_default_ns_host
set ns_host=%1
goto set_dci_name

:set_default_ns_host
set ns_host=@NS_IOR@


:set_dci_name
if "%2" == "" goto set_default_dci_name
set dci_name=%2
goto start_dci

:set_default_dci_name
set dci_name=@DCI_NAME@

:start_dci
echo Starting OpenCCM DCI Manager

set OpenCCM_CONFIG_DIR=@OpenCCM_DIR@\OpenCCM_CONFIG_DIR\
set DCI_PATH=%OpenCCM_CONFIG_DIR%\DCIManagers\%dci_name%\dci_%dci_name%

mkdir %OpenCCM_CONFIG_DIR%\DCIManagers\%dci_name%\

@JVM@ -Dior_ns=%ns_host% org.objectweb.util.launcher.Launcher --runid dci_start NSREGISTER=OpenCCM/DCIManagers/%dci_name% DCINAME=%dci_name% IORPATH=%DCI_PATH%.IOR @OpenCCM_DIR@\xml\launcher\dci_server.xml

echo "The DCIManager %dci_name% is started"

