/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2004 INRIA & USTL - LIFL - GOAL
Contact: openccm@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Demarey.
Contributor(s): ______________________________________.

====================================================================*/

package org.objectweb.openccm.pss.runtime.jdo.api;


/**
 * This interface describe a JDO Connector.
 *
 * @author <a href="mailto:Christophe.Demarey@lifl.fr">Christophe Demarey</a>
 *
 * @version 0.1
 */

public interface Connector
         extends org.objectweb.openccm.pss.runtime.common.api.Connector
{
    /**
     * Key constants for connector parameters.
     */
    public static final String PM_FACTORY_KEY       = "PM_FACTORY";
    public static final String DB_URL_KEY           = "DB_URL";
    public static final String DB_DRIVER_KEY        = "DB_DRIVER";
    public static final String USER_NAME_KEY        = "USER_NAME";
    public static final String PASSWORD_KEY         = "PASSWORD";
}
