<?xml version="1.0"?>
<!DOCTYPE softpkg SYSTEM "ccmDTDs/softpkg.dtd">

<softpkg name="IpProtocolMonitorProvider" version="2,0">
	<title>IpProtocolMonitorProvider</title>
	<pkgtype>CORBA Component</pkgtype>
  	<author>
    	<name>Fofy Setaki</name>
		<company>INTRACOM</company>
		<webpage href="http://www.intracom.gr"/>
  	</author>
	<description>The IpProtocolMonitor Demo</description>
	<license href="http://intracom.gr"/>
	<idl id="IDL:coach.ist/coachEmsMibComponents/IpProtocolMonitorProvider:1.0">
		<link href="../coachEmsMibComponents.idl3"></link>
	</idl>
	<descriptor type="CORBA Component">
		<fileinarchive name="META-INF/ipnodefacade.ccd"/>
	</descriptor>
	<dependency action="install">
    <fileinarchive name="archives/OpenCCM_Plugins.jar"/>
    <name>openccm_plugins</name>
    </dependency>
    <dependency action="install">
    <fileinarchive name="archives/coachEmfCommon.jar"/>
    <name>coachEmfCommon</name>
    </dependency>
    <dependency action="install">
    <fileinarchive name="archives/coachEmfStubs.jar"/>
    <name>coachEmfStubs</name>
    </dependency>

	<implementation id="IpProtocolMonitorProviderMonolithicImpl">
		<os name="WinNT" version="4,0,0,0"/>
		<os name="Linux" version="2,2,17,0"/>
		<processor name="x86"/>
		<compiler name="JDK"/>
		<programminglanguage name="Java"/>
		<dependency type="ORB" action="assert">
			<name>OpenORB</name>
		</dependency>
		<code type="Java class">
			<fileinarchive name="archives/coachEms.jar"/>
			<entrypoint>
				ist.coach.coachEmsMibComponents.IpProtocolMonitorProviderHomeImpl.create_home
			</entrypoint>
		</code>
		<runtime name="Java VM" version="1,2,2,0"/>
		<runtime name="Java VM" version="1,3,0,0"/>
	 </implementation>
</softpkg>
 
