package ist.coach.coachEmsCommon;

public class SnmpIdentifiers {

		//IpNode relating OIDs
	public static final String IF_NUMBER_OID	  = ".1.3.6.1.2.1.2.1.0";
	public static final String SYS_DESCR_OID	  = ".1.3.6.1.2.1.1.1.0";
	public static final String SYS_OBJECTID_OID   = ".1.3.6.1.2.1.1.2.0";
	public static final String SYS_UPTIME_OID	  = ".1.3.6.1.2.1.1.3.0";
	public static final String SYS_CONTACT_OID	  = ".1.3.6.1.2.1.1.4.0";
	public static final String SYS_NAME_OID	      = ".1.3.6.1.2.1.1.5.0";
	public static final String SYS_LOCATION_OID   = ".1.3.6.1.2.1.1.6.0";
	public static final String SYS_SERVICES_OID   = ".1.3.6.1.2.1.1.7.0";
	public static final String TIME_OID		      = ".1.3.6.1.2.1.1.3.0";

	public static final String READ_COMMUNITY = "public";
    public static final String WRITE_COMMUNITY = "private";

			//Logical Interface
	public static final String IF_TABLE_OID           = ".1.3.6.1.2.1.2.2";

	public static final String IF_DESCR_OID        = ".1.3.6.1.2.1.2.2.1.2";
	public static final String IF_TYPE_OID         = ".1.3.6.1.2.1.2.2.1.3";
	public static final String IF_MTU_OID          = ".1.3.6.1.2.1.2.2.1.4";
	public static final String IF_SPEED_OID        = ".1.3.6.1.2.1.2.2.1.5";
	public static final String IF_PHYSADDR_OID     = ".1.3.6.1.2.1.2.2.1.6";
	public static final String IF_ADMINSTATUS_OID  = ".1.3.6.1.2.1.2.2.1.7";
	public static final String IF_OPERSTATUS_OID   = ".1.3.6.1.2.1.2.2.1.8";
	public static final String IF_LASTCHANGE_OID   = ".1.3.6.1.2.1.2.2.1.9";
	public static final String IF_INOCTETS_OID     = ".1.3.6.1.2.1.2.2.1.10";
	public static final String IF_INUCASTPKTS_OID  = ".1.3.6.1.2.1.2.2.1.11";
	public static final String IF_INNUCASTPKTS_OID = ".1.3.6.1.2.1.2.2.1.12";
	public static final String IF_INDISCARDS_OID   = ".1.3.6.1.2.1.2.2.1.13";
	public static final String IF_INERRORS_OID     = ".1.3.6.1.2.1.2.2.1.14";
	public static final String IF_INUNKNOWNPROTOS_OID = ".1.3.6.1.2.1.2.2.1.15";
	public static final String IF_OUTOCTETS_OID       = ".1.3.6.1.2.1.2.2.1.16";
	public static final String IF_OUTUCASTPKTS_OID    = ".1.3.6.1.2.1.2.2.1.17";
	public static final String IF_OUTNUCASTPKTS_OID   = ".1.3.6.1.2.1.2.2.1.18";
	public static final String IF_OUTDISCARDS_OID     = ".1.3.6.1.2.1.2.2.1.19";
	public static final String IF_OUTERRORS_OID       = ".1.3.6.1.2.1.2.2.1.20";
	public static final String IF_OUTQLEN_OID         = ".1.3.6.1.2.1.2.2.1.21";
	public static final String IF_SPECIFIC_OID        = ".1.3.6.1.2.1.2.2.1.22";

	//IpProtocolProvider
	public static final String IP_FWD_TYPE_OID			= ".1.3.6.1.2.1.4.1.0";
	public static final String IP_DEFAULT_TTL_OID		= ".1.3.6.1.2.1.4.2.0";
	public static final String IP_INRECEIVE_OID		    = ".1.3.6.1.2.1.4.3.0";
	public static final String IP_INHDRERRORS_OID		= ".1.3.6.1.2.1.4.4.0";
	public static final String IP_INADDRERRORRS_OID	    = ".1.3.6.1.2.1.4.5.0";
	public static final String IP_FWDDATAGRAMS_OID		= ".1.3.6.1.2.1.4.6.0";
	public static final String IP_INUNKNOWNPROTO_OID	= ".1.3.6.1.2.1.4.7.0";
	public static final String IP_INDISCARDS_OID		= ".1.3.6.1.2.1.4.8.0";
	public static final String IP_INDELIVERS_OID		= ".1.3.6.1.2.1.4.9.0";
	public static final String IP_OUTREQUESTS_OID		= ".1.3.6.1.2.1.4.10.0";
	public static final String IP_OUTDISCARDS_OID		= ".1.3.6.1.2.1.4.11.0";
	public static final String IP_NOROUTE_OID			= ".1.3.6.1.2.1.4.12.0";
	public static final String IP_REASMTIMEOUT_OID		= ".1.3.6.1.2.1.4.13.0";
	public static final String IP_REASMREQ_OID			= ".1.3.6.1.2.1.4.14.0";
	public static final String IP_REASMOK_OID			= ".1.3.6.1.2.1.4.15.0";
	public static final String IP_REASMFAIL_OID		    = ".1.3.6.1.2.1.4.16.0";
	public static final String IP_FRAGOK_OID			= ".1.3.6.1.2.1.4.17.0";
	public static final String IP_FRAGFAIL_OID			= ".1.3.6.1.2.1.4.18.0";
	public static final String IP_FRAGCREATE_OID		= ".1.3.6.1.2.1.4.19.0";
	public static final String IP_ROUTING_DISCARDS_OID	= ".1.3.6.1.2.1.4.23.0";

	//IpAddressData
	public static final String IP_ADDR_TABLE_OID           = "1.3.6.1.2.1.4.20";
	public static final String IP_ADDR_ADDR_OID            = "1.3.6.1.2.1.4.20.1.1";
	public static final String IP_ADDR_IFINDEX_OID         = "1.3.6.1.2.1.4.20.1.2";
	public static final String IP_ADDR_NETMASK_OID         = "1.3.6.1.2.1.4.20.1.3";
	public static final String IP_ADDR_BCASTADDR_OID       = "1.3.6.1.2.1.4.20.1.4";
	public static final String IP_ADDR_REASMMAX_OID        = "1.3.6.1.2.1.4.20.1.5";

	//IpRoute
	public static final String IP_ROUTE_TABLE_OID     = "1.3.6.1.2.1.4.21";
	public static final String IP_ROUTE_DEST_OID      = "1.3.6.1.2.1.4.21.1.1";
	public static final String IP_ROUTE_IFINDEX_OID   =	"1.3.6.1.2.1.4.21.1.2";
	public static final String IP_ROUTE_METRIC1_OID   = "1.3.6.1.2.1.4.21.1.3";
	public static final String IP_ROUTE_METRIC2_OID   = "1.3.6.1.2.1.4.21.1.4";
	public static final String IP_ROUTE_METRIC3_OID   = "1.3.6.1.2.1.4.21.1.5";
	public static final String IP_ROUTE_METRIC4_OID   = "1.3.6.1.2.1.4.21.1.6";
	public static final String IP_ROUTE_NHOP_OID      = "1.3.6.1.2.1.4.21.1.7";
	public static final String IP_ROUTE_TYPE_OID      = "1.3.6.1.2.1.4.21.1.8";
	public static final String IP_ROUTE_PROTO_OID     = "1.3.6.1.2.1.4.21.1.9";
	public static final String IP_ROUTE_AGE_OID       = "1.3.6.1.2.1.4.21.1.10";
	public static final String IP_ROUTE_MASK_OID      =  "1.3.6.1.2.1.4.21.1.11";
	public static final String IP_ROUTE_METRIC5_OID   = "1.3.6.1.2.1.4.21.1.12";
	public static final String IP_ROUTE_INFO_OID      = "1.3.6.1.2.1.4.21.1.13";

	//IpToMACAddress
	public static final String IP_MACADDRESS_OID              = "1.3.6.1.2.1.4.22";
	public static final String IP_NETTOMEDIAIFINDEX_OID       = "1.3.6.1.2.1.4.22.1.1";
	public static final String IP_NETTOMEDIAPHYSADDRESS_OID   = "1.3.6.1.2.1.4.22.1.2";
	public static final String IP_NETTOMEDIANETADDRESS_OID    = "1.3.6.1.2.1.4.22.1.3";
	public static final String IP_NETTOMEDIATYPE_OID          = "1.3.6.1.2.1.4.22.1.4";

	//SnmpProtocolMonitor
	public static final String SNMP_INPKTS_OID              ="1.3.6.1.2.1.11.1.0";
	public static final String SNMP_OUTPKTS_OID             ="1.3.6.1.2.1.11.2.0";
	public static final String SNMP_INBADVERSIONS_OID       ="1.3.6.1.2.1.11.3.0";
	public static final String SNMP_INBADCOMMUNITYNAME_OID  ="1.3.6.1.2.1.11.4.0";
	public static final String SNMP_INBADCOMMUNITYUSES_OID  ="1.3.6.1.2.1.11.5.0";
	public static final String SNMP_INASNPARSEERRORS_OID    ="1.3.6.1.2.1.11.6.0";
		  // NOT USED                                         1.3.6.1.2.1.11.7
	public static final String SNMP_INTOOBIG_OID            ="1.3.6.1.2.1.11.8.0";
	public static final String SNMP_INNOSUCHNAMES_OID       ="1.3.6.1.2.1.11.9.0";
	public static final String SNMP_INBADVALUES_OID         ="1.3.6.1.2.1.11.10.0";
	public static final String SNMP_INREADONLYS_OID         ="1.3.6.1.2.1.11.11.0";
	public static final String SNMP_INGENERRS_OID           ="1.3.6.1.2.1.11.12.0";
	public static final String SNMP_INTOTALREQVARS_OID      ="1.3.6.1.2.1.11.13.0";
	public static final String SNMP_INTOTALSETVARS_OID      ="1.3.6.1.2.1.11.14.0";
	public static final String SNMP_INGETREQS_OID           ="1.3.6.1.2.1.11.15.0";
	public static final String SNMP_INGETNEXTS_OID          ="1.3.6.1.2.1.11.16.0";
	public static final String SNMP_INSETREQS_OID           ="1.3.6.1.2.1.11.17.0";
	public static final String SNMP_INGETRESPONSES_OID      ="1.3.6.1.2.1.11.18.0";
	public static final String SNMP_INTRAPS_OID             ="1.3.6.1.2.1.11.19.0";
	public static final String SNMP_OUTTOOBIG_OID           ="1.3.6.1.2.1.11.20.0";
	public static final String SNMP_OUTNOSUCHNAMES_OID      ="1.3.6.1.2.1.11.21.0";
	public static final String SNMP_OUTBADVALUES_OID        ="1.3.6.1.2.1.11.22.0";
	// NOT USED                                         1.3.6.1.2.1.11.23
	public static final String SNMP_OUTGENERRS_OID          ="1.3.6.1.2.1.11.24.0";
	public static final String SNMP_OUTGETREQS_OID          ="1.3.6.1.2.1.11.25.0";
	public static final String SNMP_OUTGETNEXTS_OID         ="1.3.6.1.2.1.11.26.0";
	public static final String SNMP_OUTSETREQS_OID          ="1.3.6.1.2.1.11.27.0";
	public static final String SNMP_OUTGETRESPONSES_OID     ="1.3.6.1.2.1.11.28.0";
	public static final String SNMP_OUTTRAPS_OID            ="1.3.6.1.2.1.11.29.0";
	public static final String SNMP_ENABLEAUTHTRAPS_OID     ="1.3.6.1.2.1.11.30.0";
}
