
#include <tree.h>
#include <iostream>
using namespace std;

class write_node
{
public:

  void operator()( int i ) { cerr << i << endl; }
};

// [1]
// [2            3]
// [4      5]    
// [7 8]  [9]

int main( int argc, char** argv )
{
  tree< int > the_tree;
  tree< int >::tree_iterator iter = the_tree.get_head();
  iter.set( 2 );
  iter.create_sub_node();
  iter.down( 0 );
  iter.set( 3 );
  iter.create_sub_node();
  iter.down( 0 );
  iter.set( 4 );

  write_node the_node_writer;

  do_tree_traversal( the_tree, the_node_writer );

  return 0;
}

int main2( int argc, char** argv )
{
  tree< int > the_int_tree;

  tree< int >::tree_iterator iter = the_int_tree.get_head();

  iter.set( 1 );

  iter.create_sub_node( ); iter.create_sub_node(  );

  iter.down( 0 ); iter.set( 2 ); iter.up();
  iter.down( 1 ); iter.set( 3 ); iter.up();

  iter.down( 0 ); // on est au niveau de "2"

  iter.create_sub_node(); iter.create_sub_node();

  iter.down( 0 ); iter.set( 4 ); iter.up();
  iter.down( 1 ); iter.set( 5 ); iter.up();

  // on va au niveau de "4"
  iter.down( 0 ); iter.create_sub_node(); iter.create_sub_node();

  iter.down( 0 ); iter.set( 7 ); iter.up();
  iter.down( 1 ); iter.set( 8 ); iter.up();

  iter.up();

  iter.down( 1 );  // on est au niveau de "5"
  iter.create_sub_node();

  iter.down( 0 );  iter.set( 9 ); iter.up();

  write_node the_write_node;

  do_tree_traversal( the_int_tree, the_write_node );

  return 0;
}
