#include <comp1_impl.h>
#include <microccm_comp1_CORBA.h>

#include <iostream>

using namespace std;

// --------------------------------------------------------------------

CCM_I1_ptr CCM_comp1_impl::get_my_interface_1()
{
  return this;
}

void CCM_comp1_impl::configuration_complete() 
  throw(Components::InvalidConfiguration)
{
}

char* CCM_comp1_impl::do_something(I2_ptr i2)
{
  cerr << "In comp1: Did something" << endl;
}


void CCM_comp1_impl::set_ushort(unsigned short a)
{
  cerr << "set u short:..." << a << endl;
}


void CCM_comp1_impl::set_ulong(CORBA::ULong b)
{
   cerr << "set u long: ..." << b << endl;
}

I1_ptr CCM_comp1_impl::get_I1()
{
   cerr << "return I1..." << endl;
   return NULL;
}


// ---------------------------------------------------------------------


Components::EnterpriseComponent_ptr 
CCM_comp1_home_impl::create() throw( Components::CCMException )
{
  cerr << __PRETTY_FUNCTION__ << __LINE__ << endl;
  return new CCM_comp1_impl;
}

extern "C"
{
  Components::HomeExecutorBase* create_home_exec()
  {
    return new CCM_comp1_home_impl;
  }
}
