#ifndef comp1_impl_h
#define comp1_impl_h

#include <microccm_comp1_executor.h>


class CCM_comp1_impl : public CCM_comp1,
		       public CCM_I1,
		       public CCM_comp1_SessionComponent_impl
{
public:
  CCM_I1_ptr get_my_interface_1();

  void configuration_complete() throw(Components::InvalidConfiguration);
  char* do_something(I2_ptr i2);
  void set_ushort(unsigned short a);
  void set_ulong(unsigned int b);
  I1_ptr get_I1();

  CORBA::ORB_ptr orb_;
};

class CCM_comp1_home_impl : public CCM_comp1_home
{
 public:
  Components::EnterpriseComponent_ptr create()
    throw( Components::CCMException );
  

};

#endif // comp1_impl_h
