#!/bin/sh -f
# ====================================================================
#
# OpenCCM: The Open CORBA Component Model Platform
# Copyright (C) 2000-2003 USTL - LIFL - GOAL
# Contact: openccm@objectweb.org
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# Initial developer(s): Areski Flissi
# Contributor(s): 
#
# ====================================================================
#
# Installing the OpenCCM environment
#
# ====================================================================


echo "Installing OpenCCM environment"
mkdir @OpenCCM_CONFIG_DIR@
mkdir @OpenCCM_CONFIG_DIR@/ComponentServers
mkdir @OpenCCM_CONFIG_DIR@/NodeManagers
mkdir @OpenCCM_CONFIG_DIR@/AssemblyFactoryManagers
mkdir @OpenCCM_CONFIG_DIR@/DCIManagers
echo "OpenCCM is installed"