@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2004 INRIA & USTL - LIFL - GOAL
rem # Contact: openccm@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Christophe Demarey.
rem # Contributor(s): _________________________________.
rem #
rem # ====================================================================
rem #
rem # Starting the pss demo1 client.
rem #
rem # ====================================================================

@setlocal

rem # ===========================================
rem # Obtain the IOR of the started Name Service.
rem # ===========================================

call ns_ior > "%OpenCCM_CONFIG_DIR%\%demo_name%.tmp"
for /f "usebackq" %%i in ("%OpenCCM_CONFIG_DIR%\%demo_name%.tmp") do set ior_NS=%%i
del "%OpenCCM_CONFIG_DIR%\%demo_name%.tmp"

rem #  ========================
rem #  Start the demonstration.
rem #  ========================

echo "Starting the PSS demo1 Client."

set LAUNCHER_JVM_ARGS="-Dior_ns=%ior_NS%"
set LAUNCHER_ARGS=file:demo1.xml --runid client
call openccm_launcher exec
